function [maxVAF,Pbest,Qbest]=multifuzzy(X,m,n,K,L,variance,s,gamma,s_min,nmultistart);
%This function performs the fuzzy optimization method nmultistart times and returns the best
%solution found
maxVAF=0;
for z=1:nmultistart
    [P,Q]=randompartition(m,n,K,L,0);
    [v,P,Q]=kmeans(P,Q,X,m,n,K,L,variance);
    [vafvalue,Pt,Qt]=fuzzy(P,Q,X,m,n,K,L,variance,s,gamma,s_min);
    if vafvalue>maxVAF
        maxVAF=vafvalue;
        Pbest=Pt;
        Qbest=Qt;
    end
end

